PHP ��U
前一頁 |  | 下一頁

# pg_ping

(PHP 4 >= 4.3.0, PHP 5)

pg_ping -- Ping database connection

## Description

bool pg_ping ( [resource connection] )

pg_ping() pings a database connection and tries to reconnect it if it is broken.

## Parameters

connection

  PostgreSQL database connection resource. When connection is not present, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. pg_ping() example

`<?php $conn = pg_pconnect("dbname=publisher"); if (!$conn) { echo "An error occured.\n"; exit; } if (!pg_ping($conn)) die("Connection is broken\n"); ?>`

## �Ѧ�

pg_connection_status()
pg_connection_reset()

前一頁 | 內容 | 下一頁
pg_pconnect | 上一層 | pg_port